package cn.iocoder.yudao.module.portal.dal.mysql.jobcategory;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.portal.dal.dataobject.jobcategory.JobCategoryDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.portal.controller.admin.jobcategory.vo.*;

/**
 * 职位类别 Mapper
 *
 * @author 篮智科技
 */
@Mapper
public interface JobCategoryMapper extends BaseMapperX<JobCategoryDO> {

    default PageResult<JobCategoryDO> selectPage(JobCategoryPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<JobCategoryDO>()
                .likeIfPresent(JobCategoryDO::getName, reqVO.getName())
                .eqIfPresent(JobCategoryDO::getParentId, reqVO.getParentId())
                .betweenIfPresent(JobCategoryDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(JobCategoryDO::getId));
    }

}